// ------------------------------------------------------------
// Module     : formlist.cpp
// Created    : September 26, 2003
// Author     : M. E. Shmelyov
// Description: Example CGI application that uses webparse.*
//              This program lists decoded submitted data
// ------------------------------------------------------------


#include <stdio.h>
#include <algorithm>
#include "webparse.h"

using namespace std;
typedef map<string, string>::value_type entry_type;


void printEntry(const entry_type & entry);

int main(void)
{
  if (!ParseForm())
    return 1;
  printf("Content-Type: text/plain\n\n"
    "%d successful form elements totally submitted\n\n"
    "Listing decoded data:\n\n", formdata.size());
  for_each(formdata.begin(), formdata.end(), printEntry);
  return 0;
}//end main

void printEntry(const entry_type & entry)
{
  printf("%s=%s\n", entry.first.c_str(), entry.second.c_str());
}